# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Moose/Role.pm) perl(MooseX/Clone/Meta/Attribute/Trait/StorableClone.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-MooseX-Clone
Version:        0.05
Release:        alt2_9
Summary:        Fine grained cloning support for Moose objects
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/MooseX-Clone/
Source0:        http://www.cpan.org/authors/id/N/NU/NUFFIN/MooseX-Clone-%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=55003
Patch0:         MooseX-Clone-0.05-rt55003.patch
BuildArch:      noarch
BuildRequires:  perl(Data/Visitor.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Hash/Util/FieldHash/Compat.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Test/use/ok.pm)
Requires:       perl(Data/Visitor.pm) >= 0.24
Requires:       perl(Moose.pm) >= 0.74


Source44: import.info

%description
Out of the box Moose only provides very barebones cloning support in order
to maximize flexibility.

This role provides a clone method that makes use of the low level cloning
support already in Moose and adds selective deep cloning based on
introspection on top of that. Attributes with the Clone trait will handle
cloning of data within the object, typically delegating to the attribute
value's own clone method.

%prep
%setup -q -n MooseX-Clone-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_9
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_8
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_6
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_6
- fc import

